org.apache.commons.math.distribution

## Interface BetaDistribution

- All Superinterfaces:
    ContinuousDistribution, Distribution, HasDensity<java.lang.Double>
  All Known Implementing Classes:
    BetaDistributionImpl

      public interface BetaDistribution
      extends ContinuousDistribution, HasDensity<java.lang.Double>

  Computes the cumulative, inverse cumulative and density functions for the beta distribuiton.
  Since:
    2.0
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $
  See Also:
    Beta_distribution

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `density(java.lang.Double x)` Return the probability density for a particular point.
    `double` | `getAlpha()` Access the shape parameter, alpha
    `double` | `getBeta()` Access the shape parameter, beta
    `void` | `setAlpha(double alpha)` Deprecated. as of 2.1
    `void` | `setBeta(double beta)` Deprecated. as of 2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

      `inverseCumulativeProbability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### setAlpha

          @Deprecated
          void setAlpha(double alpha)

      Deprecated. as of 2.1
      Modify the shape parameter, alpha.
      Parameters:
        `alpha` - the new shape parameter.

    - #### getAlpha

          double getAlpha()

      Access the shape parameter, alpha
      Returns:
        alpha.

    - #### setBeta

          @Deprecated
          void setBeta(double beta)

      Deprecated. as of 2.1
      Modify the shape parameter, beta.
      Parameters:
        `beta` - the new scale parameter.

    - #### getBeta

          double getBeta()

      Access the shape parameter, beta
      Returns:
        beta.

    - #### density

          double density(java.lang.Double x)
                         throws MathException

      Return the probability density for a particular point.
      Specified by:
        `density` in interface `HasDensity<java.lang.Double>`
      Parameters:
        `x` - The point at which the density should be computed.
      Returns:
        The pdf at point x.
      Throws:
        `MathException` - if probability density cannot be computed

Copyright (c) 2003-2013 Apache Software Foundation